function anc = adj2anc(adj)
  n = size(adj, 1);

  %% This is faster for large n (n >> 10)
  %nparent = sum(adj);
  %anc = logical(zeros(n));
  %for i = 1:n
  %  ind = find(nparent == 0, 1, 'first');
  %  anc(adj(:,ind),ind) = true;
  %  anc(sum(anc(:,adj(:,ind)),2) > 0,ind) = true;
  %  nparent(adj(ind,:)) = nparent(adj(ind,:)) - 1;
  %  nparent(ind) = n + 1;
  %end

  % For small n
  anc = adj;
  for i = 1:n-1
    anc = anc | anc * double(adj);
  end
end
