function [meanvec, covmatrix] = gbn2mvn(mu, sigma2, W)
	nnode = length(mu);
	L = eye(nnode);
	W_pow = W;
	for i = 1:nnode-1
		L = L + W_pow;
		W_pow = W_pow * W;
	end
	
	meanvec = L' * mu;
	covmatrix = L' * diag(sigma2) * L;
end
