function [X_j, y_j] = get_family_specific_data(G, D, I_mat, j)
  if isfield(G, 'order')
    parent_inds = G.order(1:G.rank(j)-1);
  else
    parent_inds = find(G.adj(:,j));
  end

  data_filt = ~I_mat(:,j);

  X_j = [ones(sum(data_filt), 1), D(data_filt,parent_inds)];
  y_j = D(data_filt,j);
end
