function out = logsumexp(A, dim)
  if ~exist('dim', 'var')
    dim = 1;
  end

  pi_max = max(A, [], dim);
  inf_filter = pi_max == -Inf;
  out = pi_max + log(sum(exp(bsxfun(@minus, A, pi_max)), dim));
  out(inf_filter) = -Inf;
end
